package com.jasamedika.medifirst2000.entities;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class DiklatJurusan
 * 
 * @author Generator
 */
@Entity
@Table(name = "DiklatKategori_M")
public class DiklatKategori extends BaseMaster {
	@Column(name = "kdDiklatKategori", nullable = false)
	@Caption(value = "kdDiklatKategori")
	private Integer kdDiklatKategori;

	@Column(name = "diklatKategori", nullable = false)
	@Caption(value = "diklatKategori")
	private String diklatKategori;

	@ManyToOne
	@JoinColumn(name = "diklatKategoriHeadFk")
	@Caption(value = "diklatKategoriHead")
	private DiklatKategori diklatKategoriHead;

	@Column(name = "diklatKategoriHeadFk", insertable = false, updatable = false)
	private Integer diklatKategoriHeadId;

	@Column(name = "noSkBerdiri", nullable = true)
	@Caption(value = "noSkBerdiri")
	private String noSkBerdiri;

	@Column(name = "tglBerdiri", nullable = true)
	@Caption(value = "tglBerdiri")
	private Date tglBerdiri;

	@Column(name = "qdiklatKategori", nullable = true)
	@Caption(value = "qdiklatKategori")
	private Integer qdiklatKategori;

	public Integer getKdDiklatKategori() {
		return kdDiklatKategori;
	}

	public void setKdDiklatKategori(Integer kdDiklatKategori) {
		this.kdDiklatKategori = kdDiklatKategori;
	}

	public String getDiklatKategori() {
		return diklatKategori;
	}

	public void setDiklatKategori(String diklatKategori) {
		this.diklatKategori = diklatKategori;
	}

	public DiklatKategori getDiklatKategoriHead() {
		return diklatKategoriHead;
	}

	public void setDiklatKategoriHead(DiklatKategori diklatKategoriHead) {
		this.diklatKategoriHead = diklatKategoriHead;
	}

	public Integer getDiklatKategoriHeadId() {
		return diklatKategoriHeadId;
	}

	public void setDiklatKategoriHeadId(Integer diklatKategoriHeadId) {
		this.diklatKategoriHeadId = diklatKategoriHeadId;
	}

	public String getNoSkBerdiri() {
		return noSkBerdiri;
	}

	public void setNoSkBerdiri(String noSkBerdiri) {
		this.noSkBerdiri = noSkBerdiri;
	}

	public Date getTglBerdiri() {
		return tglBerdiri;
	}

	public void setTglBerdiri(Date tglBerdiri) {
		this.tglBerdiri = tglBerdiri;
	}

	public Integer getQdiklatKategori() {
		return qdiklatKategori;
	}

	public void setQdiklatKategori(Integer qdiklatKategori) {
		this.qdiklatKategori = qdiklatKategori;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.diklatkategori_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.diklatkategori_m_id_seq", sequenceName = "public.diklatkategori_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}